FROM openjdk:21

WORKDIR /app

COPY build.gradle settings.gradle /app/

COPY gradlew /app/gradlew

COPY gradle /app/gradle

RUN ./gradlew --no-daemon build || true

COPY . /app

EXPOSE 8080

ENV SPRING_PROFILES_ACTIVE=cloud

CMD ["java", "-jar", "build/libs/ms-open-street-api-0.0.1-SNAPSHOT.jar"]
